Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.widget
Class WDisplay

    java.lang.Object
      |
      +--context.arch.BaseObject
            |
            +--context.arch.widget.Widget
                  |
                  +--context.arch.widget.WDisplay

public class WDisplay
extends Widget

This class is a context widget that represents a display device. It currently doesn't provide any context but offers a single service DISPLAY_CHOICES, with a single function DISPLAY.

See Also:
  `Widget`

Field Summary
`static java.lang.String` | `CLASSNAME` Name of widget
`static int` | `DEFAULT_PORT` Default port this widget runs on
`java.lang.String` | `VERSION_NUMBER` Widget version number

Fields inherited from class context.arch.widget.Widget
`attributes, attributeTypes, callbacks, CLASS, CurrentOffset, DEFAULT_PORT, id, PUT_DATA, PUT_DATA_REPLY, QUERY, QUERY_ATTRIBUTES, QUERY_ATTRIBUTES_REPLY, QUERY_CALLBACKS, QUERY_CALLBACKS_REPLY, QUERY_REPLY, QUERY_SERVICES, QUERY_SERVICES_REPLY, QUERY_VERSION, QUERY_VERSION_REPLY, services, SPACER, storage, subscribers, TIMESTAMP, UPDATE, UPDATE_AND_QUERY, UPDATE_AND_QUERY_REPLY, VERSION, VERSION_NUMBER`

Fields inherited from class context.arch.BaseObject
`communications, EXIT_OK, handlers, ID, parser, PING, PING_REPLY, serviceHandlers`

Constructor Summary
`WDisplay(java.lang.String device, int port, java.lang.String width, java.lang.String height, java.lang.String graphics)` Constructor that creates the widget for the given device and monitors communications on the given port .
`WDisplay(java.lang.String device, int port, java.lang.String width, java.lang.String height, java.lang.String graphics, boolean storageFlag)` Constructor that creates the widget for the given device and monitors communications on the given port .
`WDisplay(java.lang.String device, int port, java.lang.String id, java.lang.String width, java.lang.String height, java.lang.String graphics)` Constructor that creates the widget for the given device and monitors communications on the given port It also sets the id of this widget to the given id.
`WDisplay(java.lang.String device, int port, java.lang.String id, java.lang.String width, java.lang.String height, java.lang.String graphics, boolean storageFlag)` Constructor that creates the widget for the given device and monitors communications on the given port It also sets the id of this widget to the given id and sets storage functionality to storageFlag
`WDisplay(java.lang.String device, java.lang.String width, java.lang.String height, java.lang.String graphics)` Constructor that creates the widget for the give device and monitors communications on the DEFAULT_PORT.
`WDisplay(java.lang.String device, java.lang.String width, java.lang.String height, java.lang.String graphics, boolean storageFlag)` Constructor that creates the widget for the give device and monitors communications on the DEFAULT_PORT.

Method Summary
`static void` | `main(java.lang.String[] argv)` Temporary main method to create a widget with location and port specified by command line arguments
`void` | `notify(java.lang.String event, java.lang.Object data)` Called by the generator class when a significant event has occurred.
`protected AttributeNameValues` | `queryGenerator()` This method returns an empty AttributeNameValues object.
`protected Attributes` | `setAttributes()` This method implements the abstract method Widget.setAttributes().
`protected Callbacks` | `setCallbacks()` This method implements the abstract method Widget.setCallbacks().
`protected Services` | `setServices()` This method implements the abstract method Widget.setServices().

Methods inherited from class context.arch.widget.Widget
`addSubscriber, canHandle, canHandle, canHandle, canHandle, executeService, getAttributeType, getCurrentTime, getNewOffset, getNewOffsetNoDelay, isAttribute, isCallback, processCallbackReply, putData, queryAttributes, queryCallbacks, queryServices, queryWidget, removeSubscriber, retrieveData, runUserMethod, runWidgetMethod, sendToSubscribers, setAttribute, store, store, updateWidgetInformation`

Methods inherited from class context.arch.BaseObject
`askInterpreter, decodeData, encodeData, executeAsynchronousWidgetService, executeSynchronousWidgetService, getHostAddress, getId, getVersion, getVersion, getWidgetAttributes, getWidgetCallbacks, getWidgetServices, pingComponent, pollWidget, putDataInWidget, queryVersion, quit, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, retrieveDataFrom, returnPing, runComponentMethod, runMethod, serviceResult, setId, setVersion, subscribeTo, subscribeTo, subscribeTo, subscribeTo, unsubscribeFrom, updateAndPollWidget, userCallback, userRequest, userRequest, userRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_NUMBER

    public java.lang.String VERSION_NUMBER

  Widget version number

### CLASSNAME

    public static final java.lang.String CLASSNAME

  Name of widget

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  Default port this widget runs on

Constructor Detail

### WDisplay

    public WDisplay(java.lang.String device,
                    java.lang.String width,
                    java.lang.String height,
                    java.lang.String graphics)

  Constructor that creates the widget for the give device and monitors communications on the DEFAULT_PORT. It also sets the id of this widget to CLASSNAME_ and uses storage functionality.
  Parameters:
    `device` - Tag for the display device
    `width` - Width of the display in pixels
    `height` - Height of the display in pixels
    `graphics` - Type of display: text or graphics

### WDisplay

    public WDisplay(java.lang.String device,
                    java.lang.String width,
                    java.lang.String height,
                    java.lang.String graphics,
                    boolean storageFlag)

  Constructor that creates the widget for the give device and monitors communications on the DEFAULT_PORT. It also sets the id of this widget to CLASSNAME_ and sets storage functionality to storageFlag.
  Parameters:
    `device` - Tag for the display device
    `width` - Width of the display in pixels
    `height` - Height of the display in pixels
    `graphics` - Type of display: text or graphics
    `storageFlag` - Flag to indicate whether or not to use storage

### WDisplay

    public WDisplay(java.lang.String device,
                    int port,
                    java.lang.String width,
                    java.lang.String height,
                    java.lang.String graphics)

  Constructor that creates the widget for the given device and monitors communications on the given port . It also sets the id of this widget to CLASSNAME_ and uses storage functionality.
  Parameters:
    `device` - Tag for the display device
    `port` - Port to run the widget on
    `width` - Width of the display in pixels
    `height` - Height of the display in pixels
    `graphics` - Type of display: text or graphics

### WDisplay

    public WDisplay(java.lang.String device,
                    int port,
                    java.lang.String width,
                    java.lang.String height,
                    java.lang.String graphics,
                    boolean storageFlag)

  Constructor that creates the widget for the given device and monitors communications on the given port . It also sets the id of this widget to CLASSNAME_ and sets storage functionality to storageFlag.
  Parameters:
    `device` - Tag for the display device
    `port` - Port to run the widget on
    `width` - Width of the display in pixels
    `height` - Height of the display in pixels
    `graphics` - Type of display: text or graphics
    `storageFlag` - Flag to indicate whether or not to use storage.

### WDisplay

    public WDisplay(java.lang.String device,
                    int port,
                    java.lang.String id,
                    java.lang.String width,
                    java.lang.String height,
                    java.lang.String graphics)

  Constructor that creates the widget for the given device and monitors communications on the given port It also sets the id of this widget to the given id.
  Parameters:
    `device` - Tag for the display device
    `port` - Port to run the widget on
    `id` - Widget id
    `width` - Width of the display in pixels
    `height` - Height of the display in pixels
    `graphics` - Type of display: text or graphics

### WDisplay

    public WDisplay(java.lang.String device,
                    int port,
                    java.lang.String id,
                    java.lang.String width,
                    java.lang.String height,
                    java.lang.String graphics,
                    boolean storageFlag)

  Constructor that creates the widget for the given device and monitors communications on the given port It also sets the id of this widget to the given id and sets storage functionality to storageFlag
  Parameters:
    `device` - Tag for the display device
    `port` - Port to run the widget on
    `id` - Widget id
    `width` - Width of the display in pixels
    `height` - Height of the display in pixels
    `graphics` - Type of display: text or graphics
    `storageFlag` - Flag to indicate whether or not to use storage

Method Detail

### setAttributes

    protected Attributes setAttributes()

  This method implements the abstract method Widget.setAttributes(). It defines the attributes as HEIGHT, WIDTH, and GRAPHICS.
  Overrides:
    setAttributes in class Widget
  Returns:
    the Attributes used by this widget

### setCallbacks

    protected Callbacks setCallbacks()

  This method implements the abstract method Widget.setCallbacks(). This has no callbacks.
  Overrides:
    setCallbacks in class Widget
  Returns:
    the Callbacks used by this widget

### setServices

    protected Services setServices()

  This method implements the abstract method Widget.setServices(). It has a single service: DISPLAY_CHOICES
  Overrides:
    setServices in class Widget
  Returns:
    the Services provided by this widget
  See Also:
    `DisplayChoiceService`

### queryGenerator

    protected AttributeNameValues queryGenerator()

  This method returns an empty AttributeNameValues object.
  Overrides:
    queryGenerator in class Widget
  Returns:
    empty AttributeNameValues

### notify

    public void notify(java.lang.String event,
                       java.lang.Object data)

  Called by the generator class when a significant event has occurred. It creates a frame to collect data from the registrant.
  Overrides:
    notify in class Widget
  Parameters:
    `event` - Name of the event that has occurred
    `data` - Object containing relevant event data
  See Also:
    `Widget.sendToSubscribers(String, AttributeNameValues)`, `Widget.store(AttributeNameValues)`

### main

    public static void main(java.lang.String[] argv)

  Temporary main method to create a widget with location and port specified by command line arguments

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD